Query available voices
Endpoint
- Chinese mainland
In the Chinese mainland deployment mode, the endpoint and data storage are both located in the Beijing Region, and the model inference computing resources are limited to the Chinese mainland.HTTP Request:
POST https://dashscope.aliyuncs.com/api/v1/services/aigc/multimodal-generation/generationBase URL for SDK calls: https://dashscope.aliyuncs.com/api/v1Headers
Parameter | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | The Authorization Token is in the format |
Content-Type | string | Yes | Fixed to |
Request bodymodelstring(Required)The model name must be set to MiniMax/speech-2.8-turbo.inputobject(Required)
Properties action string(Required)The operation to perform can be set to get_voice (Get Voice).voice_typestring(Required)The type of voices to query. Supported values include:
|
|
Response bodyrequest_idstringA unique identifier for the request.outputobject
Properties system_voice object[]An array containing the predefined System Voices.
Properties voice_id stringThe ID of the voice.voice_namestringThe display name for the voice. This is not the ID used in API calls; use voice_id instead.descriptionstring[]A description of the voice.object[]An array of your Cloned Voices.
Properties voice_id stringThe ID of the voice.voice_namestringThe display name for the voice. This is not the ID used in API calls; use voice_id instead.descriptionstring[]A description of the voice.created_timestringThe time the voice was created, in yyyy-mm-dd format.object
Properties status_code integerThe response status code.
stringA detailed message about the status. |
|
Delete a voice
Endpoint
- Chinese mainland
In the Chinese mainland deployment mode, both the endpoint and data storage are located in the Beijing Region, and model inference computing resources are limited to the Chinese mainland.HTTP Request:
POST https://dashscope.aliyuncs.com/api/v1/services/aigc/multimodal-generation/generationBase URL for SDK calls: https://dashscope.aliyuncs.com/api/v1Headers
Parameter | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | The Authorization Token is in the format |
Content-Type | string | Yes | Fixed to |
Request bodymodelstring(Required)The model name. Set the value to MiniMax/speech-2.8-turbo.inputobject(Required)
Properties action string(Required)The operation to perform is delete_voice (delete voice).voice_typestring(Required)Set to: voice_cloning.voice_idstring(Required)The ID of the Cloned Voice to be deleted. |
|
Response bodyrequest_idstringA unique identifier for the request.outputobject
Properties voice_id stringThe ID of the voice that was deleted.created_timestringThe creation time of the deleted voice, in yyyy-mm-dd format.base_respobject
Properties status_code integerThe response status code.
stringA detailed message about the status. |
|